Bug 419621 - cp cannot follow symbolic link
cp cannot follow symbolic link
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: coreutils (Show other bugs)
4.8
All Linux
high Severity high
: ---
: ---
Assigned To: Ondrej Vasik
:
Depends On:
Blocks: 391511
  Show dependency treegraph
 
Reported: 2007-12-11 07:01 EST by Adam Stokes
Modified: 2010-10-22 17:06 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-05-18 16:06:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
provide proper behavior when dealing with links (868 bytes, patch)
2007-12-11 07:01 EST, Adam Stokes
no flags Details | Diff

  None (edit)
Description Adam Stokes 2007-12-11 07:01:07 EST
Description of problem:
The simplest way to explain this problem is to show the steps :

# cd /tmp
# mkdir A
# cd A
# mkdir B
# ln -s B C
# cd /tmp
# cp -Lr /tmp/A/ /tmp/D
cp: will not create hard link `/tmp/D/C' to directory `/tmp/D/B'

"cp" tries to create a hard link instead of copying the source of directory.

Copying the source directory instead of creating the hardlink is default
behavior in RHEL5.

Version-Release number of selected component (if applicable):
coreutils-5.2.1-31.6

How reproducible:
100%

  
Actual results:

"cp" tries to create a hard link instead of copying the source of directory.

Expected results:
Should copy the entire directory to target.

Additional info:
Comment 1 Adam Stokes 2007-12-11 07:01:07 EST
Created attachment 283971 [details]
provide proper behavior when dealing with links
Comment 6 Denys Vlasenko 2008-07-14 08:47:17 EDT
Data point: coreutils 6.10 seems to work correctly.
Comment 7 RHEL Product and Program Management 2008-09-05 13:13:01 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 16 Petr Sklenar 2009-02-09 08:25:45 EST
QA Whiteboard: RHTSdone, /CoreOS/coreutils/cp/bz419621_cp_symb_link
Comment 18 errata-xmlrpc 2009-05-18 16:06:58 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2009-0959.html

Note You need to log in before you can comment on or make changes to this bug.